MorganFingerprints.h File Reference
`#include <RDGeneral/export.h>`
`#include <vector>`
`#include <map>`
`#include <DataStructs/SparseIntVect.h>`
`#include <DataStructs/ExplicitBitVect.h>`
`#include <cstdint>`
`#include <GraphMol/Fingerprints/FingerprintUtil.h>`

Go to the source code of this file.

## Namespaces

| RDKit
| Std stuff.
| RDKit::MorganFingerprints

## Typedefs

typedef std::map< std::uint32_t, std::vector< std::pair< std::uint32_t, std::uint32_t > > > | RDKit::MorganFingerprints::BitInfoMap

## Functions

RDKIT_FINGERPRINTS_EXPORT SparseIntVect< std::uint32_t > * | RDKit::MorganFingerprints::getFingerprint (const ROMol &mol, unsigned int radius, std::vector< std::uint32_t > *invariants=0, const std::vector< std::uint32_t > *fromAtoms=0, bool useChirality=false, bool useBondTypes=true, bool useCounts=true, bool onlyNonzeroInvariants=false, BitInfoMap *atomsSettingBits=0)
| returns the Morgan fingerprint for a molecule More...
RDKIT_FINGERPRINTS_EXPORT SparseIntVect< std::uint32_t > * | RDKit::MorganFingerprints::getHashedFingerprint (const ROMol &mol, unsigned int radius, unsigned int nBits=2048, std::vector< std::uint32_t > *invariants=0, const std::vector< std::uint32_t > *fromAtoms=0, bool useChirality=false, bool useBondTypes=true, bool onlyNonzeroInvariants=false, BitInfoMap *atomsSettingBits=0)
| returns the Morgan fingerprint for a molecule More...
RDKIT_FINGERPRINTS_EXPORT ExplicitBitVect * | RDKit::MorganFingerprints::getFingerprintAsBitVect (const ROMol &mol, unsigned int radius, unsigned int nBits, std::vector< std::uint32_t > *invariants=0, const std::vector< std::uint32_t > *fromAtoms=0, bool useChirality=false, bool useBondTypes=true, bool onlyNonzeroInvariants=false, BitInfoMap *atomsSettingBits=0)
| returns the Morgan fingerprint for a molecule as a bit vector More...

## Variables

const std::string | RDKit::MorganFingerprints::morganFingerprintVersion = "1.0.0"